## python-jellyfish 0.5.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/jellyfish.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/jellyfish.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/jellyfish"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/jellyfish"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-jellyfish (0.5.6-3build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 22:12:31 +1200

python-jellyfish (0.5.6-3build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:47:17 +1200

python-jellyfish (0.5.6-3) unstable; urgency=medium

  * Move man page to section 3. (Closes: #838681)

 -- Diego M. Rodriguez <diego.plan9@gmail.com>  Tue, 27 Sep 2016 16:14:24 +0200

python-jellyfish (0.5.6-2) unstable; urgency=medium

  * Move python-sphinx to Build-Depends. (Closes: #838677)
  * Add Vcs-Git and Vcs-Browser fields.

 -- Diego M. Rodriguez <diego.plan9@gmail.com>  Sun, 25 Sep 2016 17:55:05 +0200

python-jellyfish (0.5.6-1) unstable; urgency=medium

  * Initial release. (Closes: #806716)

 -- Diego M. Rodriguez <diego.plan9@gmail.com>  Thu, 15 Sep 2016 17:16:35 +0200

=== debian/control ===
Source: python-jellyfish
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Diego M. Rodriguez <diego.plan9@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-all-dev,
               python-docutils,
               python-pytest,
               python-setuptools,
               python-sphinx,
               python-unicodecsv,
               python3-all,
               python3-all-dev,
               python3-pytest,
               python3-setuptools
Homepage: https://github.com/jamesturk/jellyfish
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-jellyfish.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-jellyfish.git
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-jellyfish
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: python-jellyfish-doc
Description: Library for approximate and phonetic matching of strings (Python 2)
 Jellyfish is a Python library for doing approximate and phonetic
 matching of strings. Includes algorithms for string comparison
 (Levenshtein Distance, Damerau-Levenshtein Distance, Jaro Distance,
 Jaro-Winkler Distance, Match Rating Approach Comparison, Hamming
 Distance) and phonetic encoding (American Soundex, Metaphone, NYSIIS,
 Match Rating Codex).
 .
 This package installs the library for Python 2.

Package: python3-jellyfish
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-jellyfish-doc
Description: Library for approximate and phonetic matching of strings (Python 3)
 Jellyfish is a Python library for doing approximate and phonetic
 matching of strings. Includes algorithms for string comparison
 (Levenshtein Distance, Damerau-Levenshtein Distance, Jaro Distance,
 Jaro-Winkler Distance, Match Rating Approach Comparison, Hamming
 Distance) and phonetic encoding (American Soundex, Metaphone, NYSIIS,
 Match Rating Codex).
 .
 This package installs the library for Python 3.

Package: python-jellyfish-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Library for approximate and phonetic matching of strings (documentation)
 Jellyfish is a Python library for doing approximate and phonetic
 matching of strings. Includes algorithms for string comparison
 (Levenshtein Distance, Damerau-Levenshtein Distance, Jaro Distance,
 Jaro-Winkler Distance, Match Rating Approach Comparison, Hamming
 Distance) and phonetic encoding (American Soundex, Metaphone, NYSIIS,
 Match Rating Codex).
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1

# Fix hardening-no-bindnow lintian warning.
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
# Use pytest, pointing it to the right test file.
export PYBUILD_TEST_PYTEST = 1
export PYBUILD_NAME = jellyfish
export PYBUILD_BEFORE_TEST = cp -R {dir}/testdata {build_dir}
export PYBUILD_AFTER_TEST = rm -R {build_dir}/testdata
export PYBUILD_TEST_ARGS = jellyfish/test.py

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# HTML and manpage generators.
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man

override_dh_installchangelogs:
	dh_installchangelogs -k docs/changelog.rst

## python-jellyfish 0.6.1

=== debian/changelog ===
python-jellyfish (0.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Bump Standards-Version to 4.4.0.
  * Drop Python2 support
  * d/tests/py3: Cleanup and test installed package
  * Bump debhelper compat level to 12

  [ Jelmer Vernooĳ ]
  * Remove unnecessary X-Python{,3}-Version field in debian/control.

  [ Diego M. Rodriguez ]
  * Refresh patches after git-dpm to gbp pq conversion
  * d/control: update python3-sphinx build-depends
  * d/watch: update URL to https
  * New upstream release
  * Bump Standards-Version to 4.3.0
  * d/control: update maintainer email address

 -- Diego M. Rodriguez <diego@moreda.io>  Tue, 23 Jul 2019 20:25:54 +0200

=== debian/control ===
Source: python-jellyfish
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Diego M. Rodriguez <diego@moreda.io>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-all-dev,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Homepage: https://github.com/jamesturk/jellyfish
Vcs-Git: https://salsa.debian.org/python-team/modules/python-jellyfish.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jellyfish
Standards-Version: 4.4.0

Package: python3-jellyfish
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-jellyfish-doc
Description: Library for approximate and phonetic matching of strings (Python 3)
 Jellyfish is a Python library for doing approximate and phonetic
 matching of strings. Includes algorithms for string comparison
 (Levenshtein Distance, Damerau-Levenshtein Distance, Jaro Distance,
 Jaro-Winkler Distance, Match Rating Approach Comparison, Hamming
 Distance) and phonetic encoding (American Soundex, Metaphone, NYSIIS,
 Match Rating Codex).
 .
 This package installs the library for Python 3.

Package: python-jellyfish-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Library for approximate and phonetic matching of strings (documentation)
 Jellyfish is a Python library for doing approximate and phonetic
 matching of strings. Includes algorithms for string comparison
 (Levenshtein Distance, Damerau-Levenshtein Distance, Jaro Distance,
 Jaro-Winkler Distance, Match Rating Approach Comparison, Hamming
 Distance) and phonetic encoding (American Soundex, Metaphone, NYSIIS,
 Match Rating Codex).
 .
 This is the documentation package.

## python-jellyfish 0.7.2

=== debian/changelog ===
python-jellyfish (0.7.2-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:12 +0100

python-jellyfish (0.7.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Diego M. Rodriguez ]
  * Fix autopkgtest support for multiple Python versions.
    Thanks to Steve Langasek for the patch (Closes: #943454)
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Diego M. Rodriguez <diego@moreda.io>  Thu, 02 Jan 2020 12:11:53 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Homepage: https://github.com/jamesturk/jellyfish
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-jellyfish.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jellyfish
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 
 Package: python3-jellyfish
 Architecture: any

## python-jellyfish 0.8.2

=== debian/changelog ===
python-jellyfish (0.8.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Diego M. Rodriguez ]
  * New upstream version 0.8.2
  * Add salsa CI using default pipelines
  * d/control: bump debhelper-compat to 13
  * d/control: add Rules-Requires-Root

 -- Diego M. Rodriguez <diego@moreda.io>  Thu, 18 Jun 2020 16:18:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Diego M. Rodriguez <diego@moreda.io>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-all-dev,
@@ -13,7 +13,8 @@
 Homepage: https://github.com/jamesturk/jellyfish
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-jellyfish.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jellyfish
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: python3-jellyfish
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,13 @@
 export PYBUILD_TEST_ARGS = jellyfish/test.py
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
 	# HTML and manpage generators.
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man
+	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html
+	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman docs/ build/man
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k docs/changelog.rst
-

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/jellyfish/jellyfish-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-jellyfish 0.8.9

=== debian/changelog ===
python-jellyfish (0.8.9-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:56:01 +0000

python-jellyfish (0.8.9-1) unstable; urgency=medium

  * New upstream version 0.8.9 (Closes: #997918)
  * d/patches: refresh patches

 -- Diego M. Rodriguez <diego@moreda.io>  Fri, 29 Oct 2021 16:52:29 +0200

python-jellyfish (0.8.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-jellyfish-doc: Add Multi-Arch: foreign.

  [ Diego M. Rodriguez ]
  * d/watch: bump version to 4
  * New upstream version 0.8.8
  * d/control: bump Standards-Version to 4.6.0 (no changes needed)
  * d/copyright,doc: update upstream email address
  * d/copyright: refresh copyright entries
  * d/rules: avoid always building doc package
  * d/rules: enable all hardening flags
  * d/clean: clean egg-info entries

 -- Diego M. Rodriguez <diego@moreda.io>  Mon, 20 Sep 2021 13:56:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-jellyfish
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diego M. Rodriguez <diego@moreda.io>
 Section: python
 Priority: optional
@@ -9,11 +9,11 @@
                python3-all-dev,
                python3-pytest,
                python3-setuptools,
-               python3-sphinx
+               python3-sphinx <!nodoc>
 Homepage: https://github.com/jamesturk/jellyfish
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-jellyfish.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jellyfish
-Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-jellyfish.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jellyfish
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: python3-jellyfish
@@ -34,6 +34,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Library for approximate and phonetic matching of strings (documentation)
  Jellyfish is a Python library for doing approximate and phonetic
  matching of strings. Includes algorithms for string comparison

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 # export DH_VERBOSE = 1
 
-# Fix hardening-no-bindnow lintian warning.
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # Use pytest, pointing it to the right test file.
 export PYBUILD_TEST_PYTEST = 1
 export PYBUILD_NAME = jellyfish
@@ -16,9 +15,11 @@
 
 override_dh_auto_build:
 	dh_auto_build
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	# HTML and manpage generators.
 	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html
 	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman docs/ build/man
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k docs/changelog.rst

## python-jellyfish 0.10.0

=== debian/changelog ===
python-jellyfish (0.10.0-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:43:56 +0000

python-jellyfish (0.10.0-3) unstable; urgency=medium

  * Fix binary-only build (closes: #1057730)
  * The 0.10.0 version also fixes the deprecated 'u' format
    (closes: #1014932)

 -- Julian Gilbey <jdg@debian.org>  Sun, 10 Dec 2023 14:14:24 +0000

python-jellyfish (0.10.0-2) unstable; urgency=medium

  * Fix clean target

 -- Julian Gilbey <jdg@debian.org>  Thu, 07 Dec 2023 08:53:11 +0000

python-jellyfish (0.10.0-1) unstable; urgency=medium

  [ Diego M. Rodriguez ]
  * d/test: fix autopkgtest not running tests.
    Thanks to Julian Gilbey for the report and the solution (Closes: #1001696)

  [ Julian Gilbey ]
  * New upstream version 0.10.0 (closes: #1055555)
  * Move documentation build system from sphinx to mkdocs
  * Remove no-longer-extant manpage
  * Fix uninitialised variable warning
  * Change uploaders to myself (Diego is retiring from Debian)

 -- Julian Gilbey <jdg@debian.org>  Thu, 07 Dec 2023 07:13:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: python-jellyfish
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Diego M. Rodriguez <diego@moreda.io>
+Uploaders: Julian Gilbey <jdg@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all,
+               dh-sequence-python3,
+               mkdocs-material,
                python3-all-dev,
-               python3-pytest,
-               python3-setuptools,
-               python3-sphinx <!nodoc>
+               python3-pytest <!nocheck>,
+               python3-setuptools
+Build-Depends-Indep: python3-pymdownx <!nodoc>
 Homepage: https://github.com/jamesturk/jellyfish
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-jellyfish.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jellyfish
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: python3-jellyfish
@@ -33,7 +33,7 @@
 Package: python-jellyfish-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: Library for approximate and phonetic matching of strings (documentation)
  Jellyfish is a Python library for doing approximate and phonetic

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Use pytest, pointing it to the right test file.
export PYBUILD_TEST_PYTEST = 1
export PYBUILD_NAME = jellyfish
export PYBUILD_BEFORE_TEST = cp -R {dir}/testdata {build_dir}
export PYBUILD_AFTER_TEST = rm -R {build_dir}/testdata
export PYBUILD_TEST_ARGS = jellyfish/test.py

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
override_dh_auto_build-indep:
	dh_auto_build
	mkdocs build
	# Clean generated HTML files to avoid some privacy breaches
	# We cannot currently remove the Google fonts reference as
	# Roboto Mono is not suitably packaged in Debian.
	perl -i -ne '/<img .*src="http/ || print' site/index.html

override_dh_installdocs-indep:
	dh_installdocs -ppython-jellyfish-doc --doc-main-package=python3-jellyfish
	dh_installdocs --remaining-packages
	mv debian/python-jellyfish-doc/usr/share/doc/python3-jellyfish/site debian/python-jellyfish-doc/usr/share/doc/python3-jellyfish/html
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.md

execute_after_dh_auto_clean:
	rm -rf site

## python-jellyfish 1.0.4

=== debian/changelog ===
python-jellyfish (1.0.4-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Jul 2024 23:08:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,22 @@
 Uploaders: Julian Gilbey <jdg@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cargo,
+               debhelper-compat (= 13),
                dh-sequence-python3,
+               librust-ahash-dev,
+               librust-csv-dev <!nocheck>,
+               librust-pyo3-dev,
+               librust-smallvec-dev,
+               librust-unicode-normalization-dev,
+               librust-unicode-segmentation-dev,
                mkdocs-material,
+               pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-pytest <!nocheck>,
-               python3-setuptools
+               python3-maturin,
+               python3-pytest <!nocheck>
 Build-Depends-Indep: python3-pymdownx <!nodoc>
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/jamesturk/jellyfish
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-jellyfish.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jellyfish
@@ -18,7 +27,9 @@
 
 Package: python3-jellyfish
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Suggests: python-jellyfish-doc
 Description: Library for approximate and phonetic matching of strings (Python 3)
  Jellyfish is a Python library for doing approximate and phonetic

## python-jellyfish 1.1.0

=== debian/changelog ===
python-jellyfish (1.1.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:51:51 +0000

python-jellyfish (1.1.0-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:01:47 +0100

python-jellyfish (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Supports pyo3 0.22.2 (Closes: #1078375)
  * Clean debian/cargo_home/.global-cache.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 17 Aug 2024 22:55:52 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Homepage: https://github.com/jamesturk/jellyfish
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-jellyfish.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jellyfish
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: python3-jellyfish

## python-jellyfish 1.2.0

=== debian/changelog ===
python-jellyfish (1.2.0-4) unstable; urgency=medium

  * Team upload.
  * Allow building against PyO3 0.27.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 12 Nov 2025 11:15:55 +0000

python-jellyfish (1.2.0-3) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:28:54 +0100

python-jellyfish (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Use pyo3 0.25 (closes: #1114308).

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Oct 2025 17:52:13 +0100

python-jellyfish (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 11:51:01 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Homepage: https://github.com/jamesturk/jellyfish
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-jellyfish.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jellyfish
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: python3-jellyfish
